MerkleTrees.MerkleTreesSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.utils

## Class MerkleTrees.MerkleTreesSerializer

- java.lang.Object
- - org.apache.cassandra.utils.MerkleTrees.MerkleTreesSerializer

- All Implemented Interfaces:
    IVersionedSerializer<MerkleTrees>
  Enclosing class:
    MerkleTrees

      public static class MerkleTrees.MerkleTreesSerializer
      extends java.lang.Object
      implements IVersionedSerializer<MerkleTrees>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MerkleTreesSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MerkleTrees` | `deserialize(DataInputPlus in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(MerkleTrees trees, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(MerkleTrees trees, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MerkleTreesSerializer

          public MerkleTreesSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(MerkleTrees trees,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<MerkleTrees>`
      Parameters:
        `trees` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public MerkleTrees deserialize(DataInputPlus in,
                                         int version)
                                  throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<MerkleTrees>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(MerkleTrees trees,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<MerkleTrees>`
      Parameters:
        `trees` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation